// File          : InvalidFormatException.java
// Date          : 1st February 2006
// Last Modified : 13th March 2007
// Author        : Nicola L.C. Talbot
//                 http://theoval.cmp.uea.ac.uk/~nlct/

/*
    Copyright (C) 2006 Nicola L.C. Talbot

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
*/

package uk.ac.uea.cmp.nlct.jdr;

/**
 * Exception thrown when JDR information is incorrectly formatted.
 * @author Nicola L C Talbot
 */
public class InvalidFormatException extends Exception
{
   /**
    * Initialises with the given message.
    */
   public InvalidFormatException(String str)
   {
      super(str);
   }

   /**
    * Initialises with the given message and line number.
    * @param str message
    * @param line the line number
    */
   public InvalidFormatException(String str, int line)
   {
      super("line "+line+": "+str);

      lineNum = line;
   }

   /**
    * Gets the number of the line being processed when exception
    * was thrown.
    * @return line number or -1 if none specified
    */
   public int getLineNum()
   {
      return lineNum;
   }

   private int lineNum=-1;
}

