// File          : EPSMark.java
// Purpose       : class representing an EPS mark
// Date          : 1st February 2006
// Last Modified : 28 July 2007
// Author        : Nicola L.C. Talbot
//               http://theoval.cmp.uea.ac.uk/~nlct/

/*
    Copyright (C) 2006 Nicola L.C. Talbot

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
*/
package uk.ac.uea.cmp.nlct.jdr.io.eps;

import java.io.*;
import java.awt.*;
import java.awt.geom.*;
import java.awt.image.*;
import java.awt.font.*;
import java.util.*;
import java.util.regex.*;
import java.text.DateFormat;
import java.math.*;
import javax.imageio.*;

import uk.ac.uea.cmp.nlct.jdr.*;
import uk.ac.uea.cmp.nlct.jdr.io.EPS;

/**
 * Class representing an EPS mark.
 * @author Nicola L C Talbot
 */
public class EPSMark implements EPSObject
{
   /**
    * Returns a string representation of this object
    * @return a string representation of this object
    */
   public String toString()
   {
      return "[";
   }

   /**
    * Returns <code>true</code> if given object is also an instance 
    * of this class otherwise returns <code>false</code>.
    * @return <code>true</code> if given object is also an instance 
    * of this class otherwise returns <code>false</code>
    */
   public boolean equals(Object object)
   {
      return (object instanceof EPSMark);
   }

   public EPSName pstype()
   {
      return new EPSName("marktype");
   }

   public Object clone()
   {
      return new EPSMark();
   }
}
